Bug 841969 - [RFE] Add arm support to beaker-provision
Summary: [RFE] Add arm support to beaker-provision
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-20 17:37 UTC by Bill Peck
Modified: 2019-05-22 13:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-06 04:40:33 UTC


Attachments (Terms of Use)

Description Bill Peck 2012-07-20 17:37:53 UTC
Requesting support for Arm netboot installs.  Arm requests the following files via tftpboot for a net install.  It will stop at the first one that suceeds.

U-Boot 2011.12 (Jun 29 2012 - 14:20:37)

Retrieving file: pxelinux.cfg/01-fc-2f-40-86-8b-2c
Retrieving file: pxelinux.cfg/0A0F04D7
Retrieving file: pxelinux.cfg/0A0F04D
Retrieving file: pxelinux.cfg/0A0F04
Retrieving file: pxelinux.cfg/0A0F0
Retrieving file: pxelinux.cfg/0A0F
Retrieving file: pxelinux.cfg/0A0
Retrieving file: pxelinux.cfg/0A
Retrieving file: pxelinux.cfg/0
Retrieving file: pxelinux.cfg/default

The config file format is similar to x86.

default Highbank-Install
prompt 1
timeout 10

label Highbank-Install
    kernel f17-highbank/vmlinuz-highbank
    initrd f17-highbank/initrd-highbank.img
    append console=ttyAMA0 ip=eth0:dhcp ks=http://example.com/es/tftpboot/f17-highbank/highbank.ks rd.shell cmdline 

In fact this may be as simple as adding the arch arm to the x86 routine.

Comment 1 Bill Peck 2012-07-20 17:38:38 UTC
I'm adding a hight estimate since its an unknown architecture and may take a while to debug.

Comment 3 Bill Peck 2012-08-01 17:21:11 UTC
this is going to take longer since we have mutliple platforms to deal with..

Here is an example .treeinfo contents (minus platforms = , I've requested that field be populated)

[general]
name = Fedora-17
family = Fedora
timestamp = 1342397915.44
variant = 
version = 17
packagedir = 
arch = armhfp
platforms = highbank,imx,tegra,omap,mvebu

[images-highbank-armhfp]
uinitrd = images/pxeboot/uInitrd-highbank
kernel = images/pxeboot/vmlinuz-highbank
initrd = images/pxeboot/initrd-highbank.img
uimage = images/pxeboot/uImage-highbank

[images-imx-armhfp]
uinitrd = images/pxeboot/uInitrd-imx
kernel = images/pxeboot/vmlinuz-imx
initrd = images/pxeboot/initrd-imx.img
uimage = images/pxeboot/uImage-imx

[images-tegra-armhfp]
uinitrd = images/pxeboot/uInitrd-tegra
kernel = images/pxeboot/vmlinuz-tegra
initrd = images/pxeboot/initrd-tegra.img
uimage = images/pxeboot/uImage-tegra

[stage2]
mainimage = LiveOS/squashfs.img

[images-omap-armhfp]
uinitrd = images/pxeboot/uInitrd-omap
kernel = images/pxeboot/vmlinuz-omap
initrd = images/pxeboot/initrd-omap.img
uimage = images/pxeboot/uImage-omap

[images-mvebu-armhfp]
uinitrd = images/pxeboot/uInitrd-mvebu
kernel = images/pxeboot/vmlinuz-mvebu
initrd = images/pxeboot/initrd-mvebu.img
uimage = images/pxeboot/uImage-mvebu

[images-armhfp]
uinitrd = images/pxeboot/uInitrd
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
uimage = images/pxeboot/uImage


Currently only highbank and mvebu will netboot.  I believe we will need to expand the System record to include platform.  Kernel images will also need to support platform so we can record the location of all these images. Finally that platform information will need to be made available to provision so it can create the pxe file with the correct kernel+ramdisk images.

Comment 4 Bill Peck 2012-08-21 09:33:43 UTC
http://gerrit.beaker-project.org/#/c/1289/

Comment 6 Dan Callaghan 2012-09-06 04:40:33 UTC
Beaker 0.9.3 has been released.


Note You need to log in before you can comment on or make changes to this bug.